Project-I
Home
API Test
Home
API Test
  1. Sample APIs
  • Start your Apidog journey
  • Introducing Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • WebSocket Demo
  • Demo
    GET
  • Sample
    GET
  • GraphQL Demo
    POST
  • Get account aliase
    GET
  • Find User by ID
    GET
  • Get Account Summary
    GET
  • Demo_AWS Secrets Manager
    GET
  • Password Policy Check
    GET
  • Weather
    GET
  • Generate IAM Credential Report
    GET
  • Test
    GET
  • Analyse IAM Credential Report
    GET
  • Demo
    GET
  • List Users
    GET
  • List groups
    GET
  • List Roles
    GET
  • List Policies
    GET
  • Generate Service Last Accessed Details
    GET
  • Get Service Last Accessed Details
    GET
  • Post to Slack
    POST
  • Schemas
    • Schemas
      • Pet
      • ApiResponse
      • Category
      • Tag
      • Order
      • User
    • RequestBodies
      • UserArray
  1. Sample APIs

Update an existing pet

PUT
/pet

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟠405Validation error
application/json
Body

🟢200OK
🟠404Record not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://mock.apidog.com/m1/1012399-0-default/pet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "string",
    "name": "string"
}'
Response Response Example
405 - Example 1
{}
Modified at 2025-07-23 06:56:40
Previous
Add a new pet to the store
Next
Deletes a pet
Built with